'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSelection = function SvgSelection(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Selection_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M56.751 60.073a19.2 19.2 0 0 0 2.233-9.787v-9.724a4.67 4.67 0 0 0-1.276-3.363 4.77 4.77 0 0 0-3.304-1.486h-.97a6.53 6.53 0 0 0-2.242-3.327 6.64 6.64 0 0 0-3.78-1.409h-.92a6.3 6.3 0 0 0-2.22-3.632 6.42 6.42 0 0 0-4.044-1.42h-1.39l-2.17-17.843C35.903 2.11 34.461 0 31.118 0h-2.667v33.402C26.563 33.667 21 35.005 21 41.547v5.733c0 5.62.357 10.62 4.887 15.154 2.922 2.79 6.94 6.605 6.94 12.174L32.905 80h25.11l-2.309-11.277c-.88-4.521-.166-6.011.523-7.45q.295-.586.523-1.2m-1.684.656c-.74 1.554-1.582 3.296-.625 8.234l2.003 9.724h-22.29v-4.142c0-6.1-4.236-10.103-7.388-13.134-4.095-4.066-4.44-8.84-4.44-14.143v-5.734a6.6 6.6 0 0 1 1.689-4.666 6.72 6.72 0 0 1 4.486-2.203v11.277h1.276V1.2h1.327c1.927 0 3.458.517 4.275 6.983l2.27 18.728.562 4.697v1.352h1.276v-1.427l-.472-4.395h1.276a5.13 5.13 0 0 1 3.448 1.306 5.03 5.03 0 0 1 1.656 3.266l.076.543h2.003c3.828 0 4.887 4.078 4.925 4.255l.128.48h1.8a3.49 3.49 0 0 1 2.401 1.117c.62.672.944 1.56.903 2.47v9.71a17.97 17.97 0 0 1-2.029 9.308 8 8 0 0 1-.536 1.136"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Selection_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgSelection;
